Page MenuHomePhabricator

Special:CreateClass: Display Template, Form, and Category when finished
Closed, DeclinedPublic

Description

"Properties, template, form and category will be created. "

It should say:

"Properties, template (link to the template), form and category have been created."
https://directory.fsf.org/wiki/Template:<name>
https://directory.fsf.org/wiki/Form:<name>
https://directory.fsf.org/wiki/Category:<name>

I also want the message to also link to the form and category.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 28 2018, 11:14 PM

The special page is provided by MediaWiki-extensions-Page_Forms (I think), hence adding that project tag

The special page is provided by MediaWiki-extensions-Page_Forms (I think), hence adding that project tag

Thanks.

@David_Hedlund - no, "will be created" is correct - Special:CreateClass creates jobs that in turn create all those pages. Have none of those pages been created yet? If so, my guess is that there's a backlog of jobs that haven't been run yet. I would ask someone who has command-line access to the wiki to run the script runJobs.php, if you want these jobs to get run faster.

Yaron_Koren closed this task as Invalid.Jan 31 2018, 5:13 AM

Marking this as "Invalid" - feel free to re-open it, though.

@David_Hedlund - no, "will be created" is correct - Special:CreateClass creates jobs that in turn create all those pages. Have none of those pages been created yet? If so, my guess is that there's a backlog of jobs that haven't been run yet. I would ask someone who has command-line access to the wiki to run the script runJobs.php, if you want these jobs to get run faster.

Yes the template was created immediately, that's why I think a link should be displayed to it on the page.

Oh... when you wrote "have be created", you meant "have been created" - I thought you meant to write "have to be created". Well, it's true that the template gets created first (that page gets generated without a job), but it might cause more user confusion to single it out.

Oh... when you wrote "have be created", you meant "have been created"

Correct.

but it might cause more user confusion to single it out.

What do you mean?

Well, the idea is that Special:CreateClass creates a bunch of pages - the fact that one of them gets created first, and possibly well before the others, is really just an implementation detail. If the result text were to only link to one of the pages, it could lead to confusion about why just that one is getting linked - is it more important than the others? Is there some problem with generating the other pages?

Well, the idea is that Special:CreateClass creates a bunch of pages - the fact that one of them gets created first, and possibly well before the others, is really just an implementation detail. If the result text were to only link to one of the pages, it could lead to confusion about why just that one is getting linked - is it more important than the others?

Well, all pages (Templates, and properties, etc) should be printed as links in my opinion. I didn't think they were created at first sight because there were no links to them.

Is there some problem with generating the other pages?

No.

Sorry, I meant "Is there some problem with generating the other pages?" as a question that would be in the mind of a user who saw just the template link - it wasn't meant as a question to you.

(Although it's good to know that those other pages were eventually created.)

The message could certainly also link to the form and category - though I don't know how it could link to all the property pages (if SMW is being used).

Sorry, I meant "Is there some problem with generating the other pages?" as a question that would be in the mind of a user who saw just the template link - it wasn't meant as a question to you.

(Although it's good to know that those other pages were eventually created.)

The message could certainly also link to the form and category - though I don't know how it could link to all the property pages (if SMW is being used).

Ok but we agree with one thing, that the pages should be displayed as links. Can you please re-open the issue?

Yaron_Koren reopened this task as Open.Jan 31 2018, 3:55 PM

No, I don't agree with showing the pages as links - I think the property pages think makes it untenable, but even not counting those, I don't see the need for it. But I'm re-opening the issue. If you can, please re-title it and make the explanation clearer.

No, I don't agree with showing the pages as links - I think the property pages think makes it untenable, but even not counting those, I don't see the need for it. But I'm re-opening the issue. If you can, please re-title it and make the explanation clearer.

Thank you.

What should I change the title to?

Please give me exact text to add to the description so I can modify it.

Well, I'm not sure - I don't know exactly what you want that message to look like. Presumably you want the message to also link to the form and category, but I don't know what you want it to do with the property pages.

Well, I'm not sure - I don't know exactly what you want that message to look like. Presumably you want the message to also link to the form and category, but I don't know what you want it to do with the property pages.

Yes, that's right.

David_Hedlund renamed this task from Special:CreateClass should display a link to the template when it's done to Special:CreateClass should display a link to the template, form, and category when it's done.Jan 31 2018, 8:23 PM
David_Hedlund updated the task description. (Show Details)
David_Hedlund renamed this task from Special:CreateClass should display a link to the template, form, and category when it's done to Special:CreateClass: Display Template, Form, and Category when finished.Jan 31 2018, 8:31 PM
Yaron_Koren closed this task as Declined.Oct 22 2018, 4:09 PM